
From: Matt Mackall <mpm@selenic.com>

This shuts up a potential uninitialized variable warning.

Signed-off-by: Matt Mackall <mpm@selenic.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/ide/ide-cd.c |    4 +---
 1 files changed, 1 insertion(+), 3 deletions(-)

diff -puN drivers/ide/ide-cd.c~quiet-ide-cd-warning drivers/ide/ide-cd.c
--- 25/drivers/ide/ide-cd.c~quiet-ide-cd-warning	Fri Apr  1 13:56:36 2005
+++ 25-akpm/drivers/ide/ide-cd.c	Fri Apr  1 13:56:36 2005
@@ -431,7 +431,7 @@ void cdrom_analyze_sense_data(ide_drive_
 #if VERBOSE_IDE_CD_ERRORS
 	{
 		int i;
-		const char *s;
+		const char *s = "bad sense key!";
 		char buf[80];
 
 		printk ("ATAPI device %s:\n", drive->name);
@@ -446,8 +446,6 @@ void cdrom_analyze_sense_data(ide_drive_
 
 		if (sense->sense_key < ARY_LEN(sense_key_texts))
 			s = sense_key_texts[sense->sense_key];
-		else
-			s = "bad sense key!";
 
 		printk("%s -- (Sense key=0x%02x)\n", s, sense->sense_key);
 
_
